// ============================================================================
// Holding styles related to the user entity - including the registration form
// Extends the cores "drupal.user" library.
// ============================================================================

// ============================================================================
// User Form (also registration)
// ============================================================================

.password-strength {
  font-size: var(--bs-font-size-sm);
  line-height: var(--bs-line-height-sm);

  &__meter {
    background-color: var(--bs-gray-light);
  }

  &__indicator {
    background-color: var(--bs-success);
  }
}

.js-form-type-password.confirm-parent {
  margin-bottom: 0;
}

.js-password-confirm-message {
  // The core style adds visibility hidden as inline style to hide this
  // so this allocates place and detroys the spacec between the fields.
  // Fix and animate this.
  transition-duration: 80ms;
  transition-property: max-height;
  max-height: 0;
  overflow: hidden;
  font-size: var(--bs-font-size-sm);

  &:not([style*="hidden"]) {
    max-height: 100px;
  }

  .ok {
    color: var(--bs-success);
  }

  .error {
    color: var(--bs-danger);
  }
}

.password-suggestions {
  font-weight: var(--bs-font-weight-bold, bold);
  margin-top: 0.5em;
  font-size: var(--bs-font-size-md);

  ul {
    margin-top: 0.35em;
    font-weight: var(--bs-font-weight-normal);
  }
}
